Subject: Re: [PATCH 0/8] Introduce fwctl subystem

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 6 Jun 2024 11:48:18 -0300

On Thu, Jun 06, 2024 at 07:18:11AM -0700, Jakub Kicinski wrote:

> An argument can be made that given somewhat mixed switchdev experience
> we should just stay out of the way and let that happen. But just make
> that argument then, instead of pretending the use of this API will be
> limited to custom very vendor specific things.

Huh?

At least mlx5 already has a very robust userspace competition to
switchdev using RDMA APIs, available in DPDK. This is long since been
done and is widely deployed.

I have no idea where you get this made up idea that fwctl is somehow
about dataplane SDKs. The acclerated networking industry long ago
moved pasted netdev in upstream, it is well known to everyone. There
is no trick here.

fwctl is not some scheme to sneak dataplane SDKs into the kernel, you
are just making stuff up.

Jason